QGIS Application - Bug report #17456
Memory layer crs seems to not be found by the new metadata tab
2017-11-14 11:55 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Metadata

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25353
Description

Given two epsg:2154 layers, | generate a memory layer using the clip algorithm. The output layer is also reported as in epsg:2154
Looking into the vector layer properties, either Informations or Metadata--> Extent tab, the CRS is not recognized:

- in Information, the CRS is reported as "projected”

- in Metadata --> Extent, it's reported as an invalid projection

Associated revisions

Revision b895b743 - 2017-11-21 05:00 PM - Etienne Trimaille

fix #17456 improve CRS display in the metadata tab

Revision d62b4e97 - 2017-11-21 07:56 PM - Nyall Dawson

Merge pull request #5683 from Gustry/metadata_crs

fix #17456 improve CRS display in the metadata tab

History

#1 - 2017-11-21 10:43 AM - Etienne Trimaille

This setting is coming from the metadata wizard. You didn't set the CRS there. It will not be filled automatically, the user must fill metadata.

But the CRS from the layer is displayed in your screenshot in the "provider" (fournisseur) section.

#2 - 2017-11-21 11:01 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2017-11-21 11:53 AM - Harrissou Santanna

- Status changed from Feedback to Open

It will not be filled automatically, the user must fill metadata.

Indeed | didn't set the CRS in metadata wizard. See my comment in #17455#note-5

Wonder if both issues are the same, except the note that there's no consistency in the information provided in the two tabs (invalid vs projected).
#4 - 2017-11-21 11:57 AM - Etienne Trimaille

I made a PR already https:/github.com/qgis/QGIS/pull/5683 to fix the invalid vs projected.

But it still won't fill metadata automatically

#5 - 2017-11-21 07:56 PM - Etienne Trimaille
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|b895b74303ff9541b55a9ee9ee12df851625eb26.
